
%define python_sitelib %(/opt/freeware/bin/python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")

Name:           python3-Cython
Version:        0.29.24
Release:        1
Summary:        A language for writing Python 3 extension modules

# Tools/site_scons/site_tools/pyext.py is MIT
License:        ASL 2.0 and MIT
URL:            http://www.cython.org
Source:         https://github.com/cython/cython/releases/tag/Cython-%{version}.tar.gz

BuildRequires:  python3-devel >= 3.7.11
Requires:       python3 >= 3.7.11

#%if %{with tests}
#BuildRequires:  gcc-c++
#BuildRequires:  python3-numpy
#BuildRequires:  python3-jedi
#%endif

%description
The Cython language makes writing C extensions for the Python language as easy
as Python itself. Cython is a source code translator based on Pyrex,
but supports more cutting edge functionality and optimizations.

The Cython language is a superset of the Python language (almost all Python
code is also valid Cython code), but Cython additionally supports optional
static typing to natively call C functions, operate with C++ classes and
declare fast C types on variables and class attributes.
This allows the compiler to generate very efficient C code from Cython code.

This makes Cython the ideal language for writing glue code for external C/C++
libraries, and for fast C modules that speed up the execution of Python code.


%prep
%autosetup -n Cython-%{version} -p1 


%build
/opt/freeware/bin/python3 setup.py build 

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

/opt/freeware/bin/python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT} 

#%check
#/opt/freeware/bin/python3 runtests.py -vv

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%license LICENSE.txt
%doc README.rst ToDo.txt USAGE.txt Demos
%{_bindir}/cython
%{_bindir}/cythonize
%{_bindir}/cygdb
%{python_sitelib}/Cython-*.egg-info/
%{python_sitelib}/Cython/
%{python_sitelib}/cython.py
%{python_sitelib}/pyximport/
%{python_sitelib}/__pycache__/cython*


%changelog
* Thu Sep 16 2021 Ayappan P <ayappap2@in.ibm.com> - 0.29.24-1
- Update to 0.29.24

* Fri Apr 09 2021 Rishita Saha <risaha16@in.ibm.com> - 0.29.22-1
- Initial port to AIX Toolbox

* Sun Aug 11 2019 Orion Poplawski <orion@nwra.com> - 0.28.5-1
- Update to 0.28.5

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 0.28.4-4
- Re-enable tests

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 0.28.4-3
- Rebuilt to change main python from 3.4 to 3.6
- Disable tests for now

* Wed Aug 08 2018 Carl George <carl@george.computer> - 0.28.4-2
- Enable python36 subpackage

* Sun Jul 29 2018 Orion Poplawski - 0.28.4-1
- Update to 0.28.4

* Mon Mar 28 2016 Orion Poplawski - 0.23.5-1
- Update to 0.23.5
- Macro usage cleanup
- Fix license tag
- Fix line endings
- Remove unneeded shbangs

* Thu Mar 3 2016 Orion Poplawski - 0.23.4-2
- Fixup files

* Mon Jan 11 2016 Orion Poplawski - 0.23.4-1
- Initial EPEL7 package
